       integer total, contador
       real num, promedio
       print *, 'Numeros a promediar: '
       read *,total
       promedio = 0
       do 100 contador = 1, total, 1
        print *, 'Numero: '
        read *,num
        promedio = promedio + num
100    continue
       promedio = promedio/total
       print *, 'El promedio es ',promedio
       end
